echo off

echo [*] WARNING make sure your device has 70% battery or more.
echo [*] Make sure your device has been returned to stock
echo [*] and that you have root and ADB on. 
echo [*] this script will update KNX01Q to LWX49K 5.0.2 lollipop
echo [*] on your LG G Watch if you are on Build KNX01Q now
pause
adb push update.zip /sdcard/
adb shell su -c "cp /sdcard/update.zip /cache/"
adb shell su -c "chmod 777 /cache"
adb shell su -c "chmod 777 /cache/recovery"
adb shell su -c "echo 'boot-recovery ' > /cache/recovery/command"
adb shell su -c "echo '--update_package=/cache/update.zip' > /cache/recovery/command"
echo [*] UPDATE IN PROGRESS PLEASE WAIT....
echo [*] this script is done you can close it at any time.
adb reboot recovery
pause
echo GOOD BYE
timeout 4 > nul
